import java.awt.*;
import java.util.*;
import java.awt.event.*;
import javax.swing.*;

public class PropsEdit extends Frame implements WindowListener, ActionListener{
	
	private Button okB = new Button("Ok");
	private Button cancelB = new Button("Cancel");
	private Object[] keys;
	private int n;
	private ScrollPane sc;
	private Panel pane;
	
	public PropsEdit(){
		super("edit properties with care");
		n = World.props.keySet().size();
		sc = new ScrollPane();
		pane = new Panel();
		add(sc);
		sc.add(pane);
		pane.setLayout(new GridLayout(n+1, 2)); // Zeilen, Spalten
		keys = World.props.keySet().toArray();
		Arrays.sort(keys);
		for (int i=0; i<n; i++){
			String key = keys[i].toString();
			pane.add(new Label(key));
			pane.add(new TextField(World.props.getProperty(key),10));
		}
		pane.add(okB);
		pane.add(cancelB);
		okB.addActionListener(this);
		cancelB.addActionListener(this);
		addWindowListener(this);
		setSize(500, 700);
	}
	
	
	
	//ActionListener
	public void actionPerformed(ActionEvent e){
		if (e.getActionCommand().equals("Cancel")){
			dispose();
		}
		if (e.getActionCommand().equals("Ok")){
			for (int i=0; i<n; i++){
				String key = ((Label)pane.getComponent(2*i)).getText();
				String value = ((TextField)pane.getComponent(2*i+1)).getText();
				World.setProp(key, value);
			}
			GrowFunction.init(); //Werte aktualisieren
			dispose();
		}
	}
	
	//WindowListener
	public void windowClosing(WindowEvent e){
		dispose();
	}
	public void windowOpened(WindowEvent e){}
	public void windowClosed(WindowEvent e){}
	public void windowIconified(WindowEvent e){}
	public void windowDeiconified(WindowEvent e){}
	public void windowActivated(WindowEvent e){}
	public void windowDeactivated(WindowEvent e){}
}